Page MenuHomePhabricator

TwoColConflict and RevisionSlider resourceloader modules can be packed into one or two modules to save load time.
Closed, ResolvedPublic

Description

@Ladsgroup noticed that these two extensions are nicely decomposed into a large number of ResourceLoader modules. Unfortunately, this means that every Wikimedia page request includes the names of all of our modules, which adds up to 1.6kB uncompressed and 600B compressed, during the HEAD load which impacts overall page render time. We should either make these modules load conditionally, only when needed, or use something like Webpack to build one or two modules instead. The latter approach is already in use by Wikibase client, so we can learn from their experiences.

Event Timeline

awight created this task.Aug 5 2019, 9:45 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 5 2019, 9:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
awight updated the task description. (Show Details)Aug 5 2019, 9:48 AM

Change 530213 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/RevisionSlider@master] Merge some resource loader modules

https://gerrit.wikimedia.org/r/530213

Change 530334 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/TwoColConflict@master] Merge some resource loader modules

https://gerrit.wikimedia.org/r/530334

Change 530213 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Merge some resource loader modules

https://gerrit.wikimedia.org/r/530213

Change 530542 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/TwoColConflict@master] Drop ext.TwoColConflict.Inline.AutoScroll module

https://gerrit.wikimedia.org/r/530542

Change 530543 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/TwoColConflict@master] Drop ext.TwoColConflict.Settings

https://gerrit.wikimedia.org/r/530543

Change 530544 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/TwoColConflict@master] Drop ext.TwoColConflict.Split.Merger

https://gerrit.wikimedia.org/r/530544

Change 530544 abandoned by Ladsgroup:
Drop ext.TwoColConflict.Split.Merger

https://gerrit.wikimedia.org/r/530544

Change 530334 abandoned by Ladsgroup:
Merge some resource loader modules

https://gerrit.wikimedia.org/r/530334

Change 530542 abandoned by Ladsgroup:
Drop ext.TwoColConflict.Inline.AutoScroll module

Reason:
Already dropped

https://gerrit.wikimedia.org/r/530542

Change 532721 had a related patch set uploaded (by Krinkle; owner: Ladsgroup):
[mediawiki/extensions/TwoColConflict@wmf/1.34.0-wmf.20] Merge ext.TwoColConflict.Settings into ext.TwoColConflict.Split.Tour

https://gerrit.wikimedia.org/r/532721

Change 530543 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Merge ext.TwoColConflict.Settings into ext.TwoColConflict.Split.Tour

https://gerrit.wikimedia.org/r/530543

Ladsgroup closed this task as Resolved.Aug 27 2019, 4:24 PM
Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 27 2019, 4:24 PM

Change 532721 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.34.0-wmf.20] Merge ext.TwoColConflict.Settings into ext.TwoColConflict.Split.Tour

https://gerrit.wikimedia.org/r/532721

Mentioned in SAL (#wikimedia-operations) [2019-08-27T16:38:36Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.20/extensions/TwoColConflict/extension.json: d6b5d441b, T229791 (duration: 00m 55s)